# Generated from greensock-rails-1.20.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name greensock-rails

Name: rubygem-%{gem_name}
Version: 1.20.4.0
Release: 1%{?dist}
Summary: Use GSAP with Rails 3.1 or later
License: Copyright (c) 2018, GreenSock.
URL: https://rubygems.org/gems/greensock-rails/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem provides TweenMax, TweenLite, TimelineMax, TimelineLite, and the GSAP
jQuery plugin in uncompressed format for your Rails 3.1 (or newer)
application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.20.4.0-1
- Initial package
